%define name	qalculate
%define version	0.7.2
%define release 1mdk

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Name: 	 	%{name}
Summary: 	A very versatile desktop calculator
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/qalculate/%{name}-%{version}.tar.bz2
URL:		http://qalculate.sourceforge.net/
License:	GPL
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libgnome2-devel
BuildRequires:	cln-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
Prereq:		scrollkeeper
Requires:	gnuplot
Requires:	wget

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons). 

%package -n	%{libname}
Summary:	Libraries for qalculate
Group:		System/Libraries

%description -n	%{libname}
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons).

Libraries

%package -n	%{libnamedev}
Summary:	Qalculate devel files
Group:		Development/Other
Provides:	libqalculate-devel
Requires:	%{libname} = %{version}

%description -n	%{libnamedev}
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons).

Devel files.

%prep
%setup -q

%build
%configure2_5x --enable-defs2doc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#pushd $RPM_BUILD_ROOT/%{_bindir}
#ln -s %{name}-gtk %{name}
#popd

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}-gtk" icon="%{name}.png" needs="x11" title="Qalculate!" longtitle="Versatile desktop calculator" section="Office/Accessories"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
convert -size 48x48 data/icon.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
convert -size 32x32 data/icon.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
convert -size 16x16 data/icon.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%post -n %libname -p /sbin/ldconfig

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%postun -n %libname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/applnk/Utilities/*
%{_datadir}/omf/%{name}
%{_datadir}/%{name}

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-4mdk
- rebuild for new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-3mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.7.1-2mdk
- Fix BuildRequires
- Run scrollkeeper during post/postun

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Wed Jul 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1
- configure 2.5

* Fri Jun 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Feb 18 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

* Wed Oct 22 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
